<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeE164TransformationReq StructType
 * @subpackage Structs
 */
class AddImeE164TransformationReq extends APIRequest
{
    /**
     * The imeE164Transformation
     * @var XImeE164Transformation
     */
    public $imeE164Transformation;
    /**
     * Constructor method for AddImeE164TransformationReq
     * @uses AddImeE164TransformationReq::setImeE164Transformation()
     * @param XImeE164Transformation $imeE164Transformation
     */
    public function __construct(XImeE164Transformation $imeE164Transformation = null)
    {
        $this
            ->setImeE164Transformation($imeE164Transformation);
    }
    /**
     * Get imeE164Transformation value
     * @return XImeE164Transformation|null
     */
    public function getImeE164Transformation()
    {
        return $this->imeE164Transformation;
    }
    /**
     * Set imeE164Transformation value
     * @param XImeE164Transformation $imeE164Transformation
     * @return AddImeE164TransformationReq
     */
    public function setImeE164Transformation(XImeE164Transformation $imeE164Transformation = null)
    {
        $this->imeE164Transformation = $imeE164Transformation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeE164TransformationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
